classification
Title: Improve test coverage of ElementTree and cElementTree
Type: behavior Stage: resolved
Components: Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder: Update ElementTree with upstream changes
View: 6472
Assigned To: flox Nosy List: Neil Muller, effbot, flox, hodgestar, jerith, russell
Priority: normal Keywords:

Created on 2009-06-07 14:31 by Neil Muller, last changed 2010-03-11 15:01 by flox. This issue is now closed.

Files
File name Uploaded Description Edit
test_xml_etree.py Neil Muller, 2009-06-07 14:31 Improve ElementTree test coverage from 2.7
test_xml_etree_c.py Neil Muller, 2009-06-07 14:34 Tests for cElementTree
Messages (4)
msg89038 - (view) Author: Neil Muller (Neil Muller) Date: 2009-06-07 14:31
The test coverage for ElementTree and cElementTree could be improved.

The attached file adds several more tests for ElementTree (including a
number from the ElementTree 1.2.7 pre-release).

This excludes the tests suggested in:
http://bugs.python.org/issue6230
http://bugs.python.org/issue6231
http://bugs.python.org/issue2746
msg89039 - (view) Author: Neil Muller (Neil Muller) Date: 2009-06-07 14:34
This adds the same tests for cElementTree, disabling them in a few cases
were the behaviour differs.

(Tests include work from Russell Cloran, Jeremy Thurgood, Simon Cross,
Adrianna Pinksa and Graham Poulter)
msg89249 - (view) Author: Neil Muller (Neil Muller) Date: 2009-06-11 10:54
some additional notes on the tests disabled for cElementTree:

a) cElementTree still reports the last error (bug noted at
http://effbot.python-hosting.com/ticket/30 , although not filed in the
python bug tracker AFAICS).

b) cElementTree uses Syntax error in places were ElementTree uses
ExpatError - filed as issue6265

c) cEelementTree.iterparse will return normal strings when
ElementTree.iterparse will return unicode strings - filed as issue6266
msg99407 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-02-16 13:17
I will review and merge these tests as part of #6472.

Note: I proposed to merge the ET and cET tests to improve consistency between both implementations.
History
Date User Action Args
2010-03-11 15:01:45floxsetstatus: open -> closed
superseder: Update ElementTree with upstream changes
priority: normal
dependencies: - Update ElementTree with upstream changes
resolution: fixed
stage: resolved
2010-02-16 13:17:50floxsetnosy: + flox
messages: + msg99407

assignee: flox
dependencies: + Update ElementTree with upstream changes
type: behavior
2009-06-11 10:54:27Neil Mullersetmessages: + msg89249
2009-06-10 08:24:26jerithsetnosy: + jerith
2009-06-07 15:40:17hodgestarsetnosy: + hodgestar
2009-06-07 15:33:11russellsetnosy: + russell
2009-06-07 14:34:32Neil Mullersetfiles: + test_xml_etree_c.py

messages: + msg89039
2009-06-07 14:31:23Neil Mullercreate